#
# Bootstrap.sh
#
# Use this if you got yaird from version control and need
# to generate the configure scripts that come with the tarball.
#
# See http://sources.redhat.com/autobook/.
# See http://www.gnu.org/software/autoconf/manual/autoconf-2.57/
#
# V=--verbose
# Q=--quiet
# set -x

# to build makefiles for shared libraries
# libtoolize --force  || exit 1

# copy definitions from /usr/share to ./aclocal.m4
# for macros that are used in configure.in
aclocal $V  || exit 1

# use aclocal.m4 to create a configure file from configure.in
autoconf $V  || exit 1

# Build config.h.in, needed if you have C code.
# autoheader  || exit 1

# transform makefile.am to makefile.in;
# copy helpful scripts such as install-sh from /usr/share to here.
automake $V --add-missing  || exit 1

# At this point, the tree can be tarred, transplanted to the target
# system and installed with:
# configure --prefix=/home/santaclaus/testing --enable-template=Debian
# make install
